Bug 2241851 - *** buffer overflow detected ***: terminated
Summary: *** buffer overflow detected ***: terminated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kitty
Version: 38
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jonathan Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-03 03:33 UTC by Peter Wu
Modified: 2023-10-31 00:04 UTC (History)
8 users (show)

Fixed In Version: kitty-0.29.2-5.fc38 kitty-0.30.1-2.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-11 01:36:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Peter Wu 2023-10-03 03:33:56 UTC
When ibus isn't running, kitty will fail to run with the following error message:

*** buffer overflow detected ***: terminated
Aborted (core dumped)

This happens on both F38 and F39. 

The author of kitty has been contacted but he couldn't reproduce the issue where he probably didn't use Fedora.
https://github.com/kovidgoyal/kitty/issues/6650

Therefore, this could either be a bug in kitty, or in the way how kitty is built on Fedora, or a lib used by kitty is vulnerable.

Reproducible: Always

Steps to Reproduce:
1.install kitty on F38 or F39
2.make sure ibus isn't running
3.run "kitty --config NONE"



Actual Results:  
*** buffer overflow detected ***: terminated
Aborted (core dumped)

Expected Results:  
Kitty should just work despite the unavailability of ibus and it shouldn't produce a buffer overflow error, which is very concerning from a security perspective.

Comment 1 Fedora Update System 2023-10-03 08:06:52 UTC
FEDORA-2023-ec4a6507ee has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ec4a6507ee

Comment 2 Fedora Update System 2023-10-03 08:07:03 UTC
FEDORA-2023-b567a7e743 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-b567a7e743

Comment 3 Fedora Update System 2023-10-04 02:17:10 UTC
FEDORA-2023-b567a7e743 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-b567a7e743`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-b567a7e743

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-10-04 03:29:34 UTC
FEDORA-2023-ec4a6507ee has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ec4a6507ee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ec4a6507ee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-10-06 02:13:29 UTC
FEDORA-2023-ab43e2ce21 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ab43e2ce21`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ab43e2ce21

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-10-08 01:21:27 UTC
FEDORA-2023-ab43e2ce21 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ab43e2ce21`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ab43e2ce21

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-10-11 01:36:11 UTC
FEDORA-2023-ec4a6507ee has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-10-31 00:04:58 UTC
FEDORA-2023-ab43e2ce21 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.